import { initAdmin } from "./biz/member/rightsMgmt";
import { initSystemTask } from "./biz/task";
import { initConfig, systemConfig} from "./config/serverConfig";
import { initDataBaseModel } from "./data/db/db";
import { test1, initOrderData } from "./dataScript";
import { httpServer } from "./net/http_server";

async function lanuch() {
    /**初始化配置解析 */
    await initConfig();
    /**初始化数据库 */
    await initDataBaseModel();
    /**创建http服务 */
    httpServer.createServer(systemConfig.port);
   
    // await smsTask();
    console.log('This indicates that the server is started successfully.');
    // await initAdmin();
    // await test1();
    await initSystemTask();
    // await initOrderData()
}

lanuch();
